Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/hooks
diff options
context:
space:
mode:
authorChristian Hesse <mail@eworm.de>2015-05-29 15:51:14 +0200
committerGerardo Exequiel Pozzi <vmlinuz386@gmail.com>2015-05-29 13:10:42 -0300
commit50ffa406f04de782222fcae07c8ba671cefe95f6 (patch)
tree106b8e4ce12e3afcdc03c07e63305cc918e7c994 /hooks
parent68f5217346d6a2da96ce13408682e081193b7b26 (diff)
launch interactive shell if ipconfig fails
Signed-off-by: Christian Hesse <mail@eworm.de>
Diffstat (limited to 'hooks')
-rw-r--r--hooks/archiso_pxe_common7
1 files changed, 6 insertions, 1 deletions
diff --git a/hooks/archiso_pxe_common b/hooks/archiso_pxe_common
index d8ac709..0ee33d0 100644
--- a/hooks/archiso_pxe_common
+++ b/hooks/archiso_pxe_common
@@ -25,7 +25,12 @@ run_hook () {
fi
# setup network and save some values
- ipconfig "ip=${ip}"
+ if ! ipconfig "ip=${ip}"; then
+ echo "ERROR; Failed to configure network"
+ echo " Falling back to interactive prompt"
+ echo " You can try to fix the problem manually, log out when you are finished"
+ launch_interactive_shell
+ fi
. /tmp/net-*.conf